from flask import Blueprint


SERVICES = {
    'file-setup': {
        'name': 'File setup',
        'versions': {
            'latest': '1.0.0b',
            '1.0.0b': {
                'publishing_data': {
                    'date': None,
                    'title': 'nopaque File setup service',
                    'url': 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/file-setup/-/tree/1.0.0b',  # noqa
                    'version': '1.0.0'
                }
            }
        }
    },
    'nlp': {
        'name': 'Natural Language Processing',
        'versions': {
            'latest': '1.0.0b',
            '1.0.0b': {
                'check_encoding': True,
                'models': {
                    'de': 'German',
                    'en': 'English',
                    'it': 'Italian',
                    'nl': 'Dutch',
                    'pl': 'Polish',
                    'zh': 'Chinese'
                },
                'publishing_data': {
                    'date': None,
                    'title': 'nopaque NLP service',
                    'url': 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/nlp/-/tree/1.0.0b',  # noqa
                    'version': '1.0.0'
                }
            }
        }
    },
    'ocr': {
        'name': 'Optical Character Recognition',
        'versions': {
            'latest': '1.0.0b',
            '1.0.0b': {
                'binarization': True,
                'models': {
                    'ara': 'Arabic',
                    'chi_tra': 'Chinese - Traditional',
                    'dan': 'Danish',
                    'eng': 'English',
                    'enm': 'English, Middle 1100-1500',
                    'fra': 'French',
                    'frm': 'French, Middle ca. 1400-1600',
                    'deu': 'German',
                    'frk': 'German Fraktur',
                    'ell': 'Greek, Modern (1453-)',
                    'ita': 'Italian',
                    'por': 'Portuguese',
                    'rus': 'Russian',
                    'spa': 'Spanish; Castilian',
                },
                'publishing_data': {
                    'date': None,
                    'title': 'nopaque OCR service',
                    'url': 'https://gitlab.ub.uni-bielefeld.de/sfb1288inf/ocr/-/tree/1.0.0b',  # noqa
                    'version': '1.0.0'
                }
            }
        }
    }
}


bp = Blueprint('services', __name__)
from . import routes
