/**
 * Function to show a scroll to top button if the user has scrolled down
 * 250 pixels from the with scrollToElementSelector specified Element.
 */
function scrollToTop(scrollToElementSelector, triggerElementSelector) {
  let scrollToThis = document.querySelector(scrollToElementSelector);
  let scrolltoTopTrigger = document.querySelector(triggerElementSelector);
  window.addEventListener('scroll', (event) => {
    if (pageYOffset > 250) {
      scrolltoTopTrigger.classList.toggle('hide', false);
    } else {
      scrolltoTopTrigger.classList.toggle('hide', true);
    }
  });
  scrolltoTopTrigger.onclick = () => {
    scrollToThis.scrollIntoView({
      behavior: 'smooth',
      block: 'start',
      inline: 'nearest'
    });
  };
}

// Export function.
export {
  scrollToTop
};