class JobInputList extends RessourceList {
  constructor(listElement, options = {}) {
    super(listElement, {...JobInputList.options, ...options});
    this.jobId = listElement.dataset.jobId;
    this.user.eventListeners.job.addEventListener((eventType, payload) => this.eventHandler(eventType, payload), this.jobId);
  }

  init() {
    super.init(this.user.data.jobs[this.jobId].inputs);
  }

  onclick(event) {
    let ressourceElement = event.target.closest('tr');
    if (ressourceElement === null) {return;}
    let jobInputId = ressourceElement.dataset.id;
    let actionButtonElement = event.target.closest('.action-button');
    if (actionButtonElement === null) {return;}
    let action = actionButtonElement.dataset.action;
    switch (action) {
      case 'download':
        window.location.href = this.user.data.jobs[this.jobId].inputs[jobInputId].download_url;
        break;
      default:
        console.error(`Unknown action: "${action}"`);
        break;
    }
  }

  preprocessRessource(jobInput) {
    return {id: jobInput.id, filename: jobInput.filename};
  }
}
JobInputList.options = {
  item: `<tr>
           <td><span class="filename"></span></td>
           <td class="right-align">
             <a class="action-button btn-floating tooltipped waves-effect waves-light" data-action="download" data-position="top" data-tooltip="View"><i class="material-icons">file_download</i></a>
           </td>
         </tr>`,
  valueNames: [{data: ['id']}, 'filename']
};
