# First things first: apply monkey patch, so that no code gets executed without
# patched libraries!
import eventlet
eventlet.monkey_patch()


from app import db, cli, create_app  # noqa
from app.models import (Corpus, CorpusFile, Job, JobInput, JobResult,
                        QueryResult, Role, User)  # noqa


app = create_app()
cli.register(app)


@app.shell_context_processor
def make_shell_context():
    return {'Corpus': Corpus,
            'CorpusFile': CorpusFile,
            'db': db,
            'Job': Job,
            'JobInput': JobInput,
            'JobResult': JobResult,
            'QueryResult': QueryResult,
            'Role': Role,
            'User': User}
